/*global require, alert*/
/*
 * 
 * @owner Enter you name here (xxx)
 */
/*
 *    Fill in host and port for Qlik engine
 */
var config = {
	host: window.location.hostname,
	prefix: "/",
	port: window.location.port,
	isSecure: window.location.protocol === "https:"
};
require.config( {
	'baseUrl': ( config.isSecure ? "https://" : "http://" ) + config.host + (config.port ? ":" + config.port: "") + config.prefix + "resources"/*,
	'paths': {
		'ngAnimate': 'https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.5.8/angular-animate.min'
	}*/
} );

require( ["js/qlik"], function ( qlik ) {
	qlik.setOnError( function ( error ) {
		alert( error.message );
	} );
	
	qlik.setOnError( function ( error ) {
		$( "#errmsg" ).html( error.message ).parent().show();
	} );
	//callbacks -- inserted here --
	//open apps -- inserted here --
	angular.module('myApp', []);	
	
	angular.bootstrap( document, ["myApp", "qlik-angular"] );
	
	//get objects -- inserted here --
	//create cubes and lists -- inserted here --
} );